org.apache.lucene.codecs.simpletext

## Class SimpleTextFieldInfosReader

- java.lang.Object
- - org.apache.lucene.codecs.FieldInfosReader
  - - org.apache.lucene.codecs.simpletext.SimpleTextFieldInfosReader

    public class SimpleTextFieldInfosReader
    extends FieldInfosReader

reads plaintext field infos files

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`SimpleTextFieldInfosReader()`

### Method Summary

Methods
`FieldInfo.DocValuesType` `docValuesType(String dvType)`
`FieldInfos` `read(Directory directory, String segmentName, IOContext iocontext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTextFieldInfosReader

    public SimpleTextFieldInfosReader()

### Method Detail

#### read

    public FieldInfos read(Directory directory,
                  String segmentName,
                  IOContext iocontext)
                    throws IOException

Specified by:
  `read` in class `FieldInfosReader`
Throws:
  `IOException`

#### docValuesType

    public FieldInfo.DocValuesType docValuesType(String dvType)